package com.steerinfo.baseinfo.meterbasemattermap.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel(value="null")
public class MeterBaseMatterMap implements IBasePO<String> {
    /**
     * 主键(MAP_NO,VARCHAR,50)
     */
    @ApiModelProperty(value="主键",required=true)
    private String mapNo;

    /**
     * 物料编号(MAATER_NO1,VARCHAR,50)
     */
    @ApiModelProperty(value="物料编号",required=false)
    private String maaterNo1;

    /**
     * 映射物料编号(MAATER_NO2,VARCHAR,50)
     */
    @ApiModelProperty(value="映射物料编号",required=false)
    private String maaterNo2;

    /**
     * 状态（0：无效，1：有效）(VALUE_FLAG,VARCHAR,50)
     */
    @ApiModelProperty(value="状态（0：无效，1：有效）",required=false)
    private String valueFlag;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.mapNo;
    }

    @Override
    public void setId(String mapNo) {
        this.mapNo = mapNo == null ? null : mapNo.trim();
    }

    public String getMapNo() {
        return mapNo;
    }

    public void setMapNo(String mapNo) {
        this.mapNo = mapNo == null ? null : mapNo.trim();
    }

    public String getMaaterNo1() {
        return maaterNo1;
    }

    public void setMaaterNo1(String maaterNo1) {
        this.maaterNo1 = maaterNo1 == null ? null : maaterNo1.trim();
    }

    public String getMaaterNo2() {
        return maaterNo2;
    }

    public void setMaaterNo2(String maaterNo2) {
        this.maaterNo2 = maaterNo2 == null ? null : maaterNo2.trim();
    }

    public String getValueFlag() {
        return valueFlag;
    }

    public void setValueFlag(String valueFlag) {
        this.valueFlag = valueFlag == null ? null : valueFlag.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", mapNo=").append(mapNo);
        sb.append(", maaterNo1=").append(maaterNo1);
        sb.append(", maaterNo2=").append(maaterNo2);
        sb.append(", valueFlag=").append(valueFlag);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}